EntitiesConfigurations (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities
Class EntitiesConfigurations

    java.lang.Object
      org.hibernate.envers.entities.EntitiesConfigurations

    public class EntitiesConfigurations

extends Object

Configuration of the user entities: property mapping of the entities, relations, inheritance.

Constructor Summary
`EntitiesConfigurations(Map<String,EntityConfiguration> entitiesConfigurations, Map<String,EntityConfiguration> notAuditedEntitiesConfigurations)`

Method Summary
`EntityConfiguration` | `get(String entityName)`
`String` | `getEntityNameForVersionsEntityName(String versionsEntityName)`
`EntityConfiguration` | `getNotVersionEntityConfiguration(String entityName)`
`RelationDescription` | `getRelationDescription(String entityName, String propertyName)`
`Set<String>` | `getToPropertyNames(String fromEntityName, String fromPropertyName, String toEntityName)`
`boolean` | `hasAuditedEntities()`
`boolean` | `isVersioned(String entityName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntitiesConfigurations

    public EntitiesConfigurations(Map<String,EntityConfiguration> entitiesConfigurations,
                                  Map<String,EntityConfiguration> notAuditedEntitiesConfigurations)

Method Detail

### get

    public EntityConfiguration get(String entityName)

### getNotVersionEntityConfiguration

    public EntityConfiguration getNotVersionEntityConfiguration(String entityName)

### getEntityNameForVersionsEntityName

    public String getEntityNameForVersionsEntityName(String versionsEntityName)

### isVersioned

    public boolean isVersioned(String entityName)

### hasAuditedEntities

    public boolean hasAuditedEntities()

### getRelationDescription

    public RelationDescription getRelationDescription(String entityName,
                                                      String propertyName)

### getToPropertyNames

    public Set<String> getToPropertyNames(String fromEntityName,
                                          String fromPropertyName,
                                          String toEntityName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.